summaryrefslogtreecommitdiffstats
path: root/test-sonar-base.sh
diff options
context:
space:
mode:
authorMalfurious <m@lfurio.us>2021-03-24 05:14:45 -0400
committerMalfurious <m@lfurio.us>2021-03-24 05:14:45 -0400
commit46b53e3251aa488dd43d90c6e8457437a0c08b34 (patch)
treeb0d7cc919869213ef50f718c5ddbfa3fddd4323f /test-sonar-base.sh
parent82c412c58081aa57197c2270bb544d790f35ffae (diff)
parent5843144165acfacef93ca5d6e2a561a5cf6059dc (diff)
downloadgit-sonar-46b53e3251aa488dd43d90c6e8457437a0c08b34.tar.gz
git-sonar-46b53e3251aa488dd43d90c6e8457437a0c08b34.zip
Merge branch 'rebranding'v0.7
Diffstat (limited to 'test-sonar-base.sh')
-rwxr-xr-xtest-sonar-base.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/test-sonar-base.sh b/test-sonar-base.sh
new file mode 100755
index 0000000..7c0c742
--- /dev/null
+++ b/test-sonar-base.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+scriptDir="$(cd "$(dirname "$0")"; pwd)"
+
+source "$scriptDir/sonar-base.sh"
+
+test_show_remote_status() {
+ show_remote_status
+ assertTrue $?
+
+ show_remote_status --bash
+ assertTrue $?
+
+ show_remote_status --bash --fetch
+ assertTrue $?
+
+ show_remote_status --bash --no-remote-status --fetch
+ assertFalse $?
+
+ show_remote_status --bash --fetch --no-remote-status
+ assertFalse $?
+
+ show_remote_status --no-remote-status --bash --fetch
+ assertFalse $?
+
+ show_remote_status --bash --fetch --minimal --no-remote-status
+ assertFalse $?
+}
+
+. ./shunit/shunit2